Passer au contenu principal
GET
JavaScript

Autorisations

Authorization
string
header
requis

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Paramètres de requête

customer_id
string

Filter events by customer ID

event_name
string

Filter events by event name. If both event_name and meter_id are provided, they must match the meter's configured event_name

meter_id
string

Filter events by meter ID. When provided, only events that match the meter's event_name and filter criteria will be returned

page_size
integer<int32>

Number of events to return per page (default: 10)

Plage requise: x >= 0
page_number
integer<int32>

Page number (0-based, default: 0)

Plage requise: x >= 0
start
string<date-time>

Filter events created after this timestamp

end
string<date-time>

Filter events created before this timestamp

Réponse

Events retrieved successfully

items
object[]
requis
Dernière modification le 1 avril 2026